package at.jku.ssw.fp.parstream.performance.util;

import java.util.ArrayList;
import java.util.Collection;
import java.util.HashSet;
import java.util.LinkedList;
import java.util.Random;
import java.util.TreeSet;

public class CreateSupport {

	public static Collection<Integer> createArrayList(int n) {
		ArrayList<Integer> al = new ArrayList<Integer>(); 
		for (int i = 0; i < n; i++) {
			al.add(i); 
		}
		return al; 
	}

	public static Collection<Integer> createArrayListPosNeg(int n) {
		Random rand = new Random(); 
		ArrayList<Integer> al = new ArrayList<Integer>(); 
		for (int i = 0; i < n; i++) {
			al.add((rand.nextBoolean() ? i : -1)); 
		}
		return al; 
	}

	public static Collection<Integer> createLinkedList(int n) {
		LinkedList<Integer> ll = new LinkedList<Integer>(); 
		for (int i = 0; i < n; i++) {
			ll.add(i); 
		}
		return ll; 
	}

	public static Collection<Integer> createHashSet(int n) {
		HashSet<Integer> ll = new HashSet<Integer>(); 
		for (int i = 0; i < n; i++) {
			ll.add(i); 
		}
		return ll; 
	}

	public static Collection<Integer> createTreeSet(int n) {
		TreeSet<Integer> ll = new TreeSet<Integer>(); 
		for (int i = 0; i < n; i++) {
			ll.add(i); 
		}
		return ll; 
	}

	public static Integer[] createIntegerArray(int n) {
		Integer[] a = new Integer[n]; 
		for (int i = 0; i < n; i++) {
			a[i] = new Integer(i); 
		}
		return a; 
	}

	public static Long[] createLongObjArray(int n) {
		Long[] a = new Long[n]; 
		for (int i = 0; i < n; i++) {
			a[i] = new Long(i); 
		}
		return a; 
	}

	public static long[] createLongArray(int n) {
		long[] a = new long[n]; 
		for (int i = 0; i < n; i++) {
			a[i] = i; 
		}
		return a; 
	}

	public static int[] createIntArray(int n) {
		int[] a = new int[n]; 
		for (int i = 0; i < n; i++) {
			a[i] = i; 
		}
		return a; 
	}

}
