package at.jku.ssw.fp.sect03_3;

import at.jku.ssw.fp.coll.FList;

/**
 * Demos of FList basic methods. 
 * 
 * @author Herbert Praehofer 
 *
 */
public class Demo1_FList {

  public static void main(String[] args) {
    FList<String> lABC = FList.of("A", "B", "C");

    print1(lABC);
    System.out.println();
    print2(lABC);

    FList<String> lAC = lABC.remove("B");

    System.out.println();
    System.out.println(lAC.toString());

  }

  static <E> void print1(FList<E> list) {
    if (!list.isEmpty()) {
      System.out.println(list.head().toString());
      print1(list.tail());
    }
  }

  static <E> void print2(FList<E> list) {
    for (E e : list) {
      System.out.println(e.toString());
    }
  }

}
