package at.jku.ssw.fp.sect06_3;

import at.jku.ssw.fp.coll.FList;

/**
 * Demo showing monad computations. 
 * 
 * @author Herbert Praehofer
 */
public class Demo1_FamilyPersonPresent {

  @SuppressWarnings("unused")
  public static void main(String[] args) {

    Person hans = new Person(); 
    Person fritz = new Person(); 
    FList<Person> guests = FList.of(hans, fritz); 
    
    FList<Present> allPresents = 
        guests.flatMap(person -> person.getPresents());

    Family bergers = new Family(); 
    Family muellers = new Family(); 
    
    FList<Family> families = FList.of(bergers, muellers); 
    FList<Present> presents = 
        families.flatMap(family -> family.getMembers())
                .flatMap(person -> person.getPresents()); 
    
    System.out.println(presents); 

    
  }

}
