package at.jku.ssw.fp.sect02_3;

import static at.jku.ssw.fp.sect02_1.Demo1_ApplyFunction.applyFunction;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.util.function.IntBinaryOperator;

import at.jku.ssw.fp.person.Student;

/**
 * Demos of Lambda expressions.
 * 
 * @author Herbert Praehofer 
 *
 */
public class Demo1_LambdaExpressions {

  @SuppressWarnings("unused")
  public static void main(String[] args) {

    ActionListener listener = evt -> System.out.println("Action performed");

    ActionListener listener2 = new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        System.out.println("Action performed");
      }
    };

    listener.actionPerformed(new ActionEvent(new Object(), 1, "action"));

    IntBinaryOperator sum1 = (int x, int y) -> {
      return x + y;
    };
    IntBinaryOperator sum2 = (x, y) -> {
      return x + y;
    };
    IntBinaryOperator sum3 = (x, y) -> x + y;

    System.out.println(sum1.applyAsInt(1, 2));
    System.out.println(sum2.applyAsInt(1, 2));
    System.out.println(sum3.applyAsInt(1, 2));

    Object someInfo = applyFunction(s -> s.toString(), new Student("Mike"));

  }

}
