package at.jku.ssw.fp.sect04_2.imp;

/**
 * Demo showing computation on result records.
 *
 * @author Herbert Praehofer
 */
public class Demo_Results {

  public static void main(String[] args) {
    ResultsList resultsList = new ResultsList();
    resultsList.addStudent("1", "Hans");
    resultsList.addStudent("2", "Fritz");
    resultsList.addStudent("3", "Anna");

    // 1 2 3 4 5 6 7 8 9 10
    resultsList.setScore("1", 7, 8, 2, 7, 9, 9, 7, 6, 7, 2);
    resultsList.setScore("2", 8, 6, 8, 1, 0, 0, 8, 9, 8, 3);
    resultsList.setScore("3", 9, 9, 9, 6, 5, 9, 8, 6, 9, 9);

    int solvedHans = resultsList.countSolved("1");
    double avrgHans = resultsList.avrgScores("1");
    Grade gradeHans = resultsList.getGrade("1");
    System.out.println("\nHans");
    System.out.println(solvedHans);
    System.out.println(avrgHans);
    System.out.println(gradeHans);

    int solvedFritz = resultsList.countSolved("2");
    double avrgFritz = resultsList.avrgScores("2");
    Grade gradeFritz = resultsList.getGrade("2");
    System.out.println("\nFritz");
    System.out.println(solvedFritz);
    System.out.println(avrgFritz);
    System.out.println(gradeFritz);

    int solvedAnna = resultsList.countSolved("3");
    double avrgAnna = resultsList.avrgScores("3");
    Grade gradeAnna = resultsList.getGrade("3");
    System.out.println("\nAnna");
    System.out.println(solvedAnna);
    System.out.println(avrgAnna);
    System.out.println(gradeAnna);

    int solved3 = resultsList.countSolved(3);
    double avrg3 = resultsList.avrgScores(3);
    System.out.println("\nAssignment 3: ");
    System.out.println(solved3);
    System.out.println(avrg3);
  }

}
