package at.jku.ssw.fp.sect04_5;

import static at.jku.ssw.fp.util.Util.withLock;

import java.util.ArrayList;
import java.util.List;
import java.util.concurrent.locks.Lock;
import java.util.concurrent.locks.ReentrantLock;

/**
 * Demo showing withLock method. 
 * 
 * @author Herbert Praehofer
 */
public class Demo1_WithLock {

  public static void main(String[] args) {

    List<String> sharedList = new ArrayList<>();

    Lock lock = new ReentrantLock();
    withLock(lock, () -> {
      sharedList.add("Critical value");
    });

  }

}
