package at.jku.ssw.fp.sect04_5;

import java.util.logging.Level;
import java.util.logging.Logger;

/**
 * Demo showing logger. 
 * 
 * @author Herbert Praehofer
 */
public class Demo3_Logger {
  
  private static final Logger LOGGER = Logger.getLogger(Demo3_Logger.class.getName());

  public static void main(String[] args) {

    LOGGER.log(Level.INFO, "Application Started!");
    
    LOGGER.log(Level.INFO, () -> getMessage()); 

  }
  
  private static String getMessage() {
    return "Application " + "Started " + "!"; 
  }

}
