package at.jku.ssw.fp.sect04_5;

import static at.jku.ssw.fp.util.Util.optional;

import java.util.Optional;
import java.util.Scanner;

/**
 * Demo showing use of {@link java.util.Optional}.
 *
 * @author Herbert Praehofer
 */
public class Demo4_Optional {

  public static void main(String[] args) {

    String text1 = "123";
    Optional<Integer> optValue = optional(() -> Integer.parseInt(text1));
    System.out.println(optValue);

    String text2 = "x123";
    optValue = optional(() -> Integer.parseInt(text2));
    System.out.println(optValue);

//    int x1 = optional(() -> Integer.parseInt(text1)).orElse(askUserForNumber());
//    System.out.println("x1 = " + x1);

    int x2 = optional(() -> Integer.parseInt(text1)).orElseGet(() -> askUserForNumber());
    System.out.println("x2 = " + x2);

    int x3 = optional(() -> Integer.parseInt(text2)).orElseGet(() -> askUserForNumber());
    System.out.println("x3 = " + x3);

  }

  private static int askUserForNumber() {
    Scanner scanner = new Scanner(System.in);
    System.out.println("Parsing number failed! Please input your number: ");
    int i = scanner.nextInt();
    scanner.close();
    return i;
  }
}
