package at.jku.ssw.fp.sect05_4.dsl;

/**
 * Demo showing use of proportional controller. 
 * 
 * @author Herbert Praehofer
 */
public class Demo1_PropCtrl {
  static DVar nominal = new DVar(10);
  static DVar actual = new DVar(0);
  static DVar out = new DVar(0);
  static PropCtrl ctrl = new PropCtrl(1.0, nominal, actual, out);

  public static void main(String[] args) {
    simulate(0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9);
  }

  private static void simulate(double... actuals) {
    ctrl.exec();
    System.out.println(ctrl.toString());
    for (double a : actuals) {
      actual.set(a);
      ctrl.exec();
      System.out.println(ctrl.toString());
    }
  }

}
