package at.jku.ssw.fp.sect05_4.dsl;

import java.util.Scanner;

/**
 * Demo showing use of level controller. 
 * 
 * @author Herbert Praehofer
 */
public class Demo2_LevelControl {

  static DVar inflow = new DVar(0.0);
  static BVar stop = new BVar(false);
  static DVar level = new DVar(0.0);
  static SystemUnderCtrl system = new SystemUnderCtrl(1.0, 0.05, level, inflow);
  static LevelControl ctrl = new LevelControl(level, stop, inflow);

  public static void main(String[] args) throws InterruptedException {
    @SuppressWarnings("resource")
    final Scanner scanner = new Scanner(System.in);
    System.out.println("Toggle stop by ENTER");
    new Thread(() -> {
      for (;;) {
        scanner.nextLine();
        stop.set(!stop.get());

      }
    }).start();
    System.out.println(ctrl.toString());
    for (;;) {
      Thread.sleep(1000);
      system.exec();
      System.out.println(system.toString());
      ctrl.exec();
      System.out.println(ctrl.toString());
    }
  }

}
