package at.jku.ssw.fp.sect06_2;

import static at.jku.ssw.fp.sect06_2.Monoids.intPlusMonoid;

import java.util.List;
import java.util.Optional;

/**
 * Demo showing reduction of a list of optional values.
 *
 * @author Herbert Praehofer
 */
public class Demo3_ReduceOptional {

  public static void main(String[] args) {

    List<Optional<Integer>> listOfOptInts =
        List.of(Optional.of(200), Optional.of(300), Optional.empty());
      Optional<Integer> optSum =
        Reducible.from(listOfOptInts)
                 .reduce(Monoids.optionalMonoid(intPlusMonoid));

      System.out.println(optSum);

  }
}
